Markdent::Simple::Document(3pm)

NAME
Markdent::Simple::Document - Convert Markdown to an HTML Document

VERSION
version 0.40

SYNOPSIS
    use Markdent::Simple::Document;

    my $mds  = Markdent::Simple::Document->new;
    my $html = $mds->markdown_to_html(
        title    => 'My Document',
        markdown => $markdown,
    );

DESCRIPTION
This class provides a very simple interface for converting Markdown to a complete HTML document.

METHODS
This class provides the following methods:

  Markdent::Simple::Document->new
Creates a new Markdent::Simple::Document object.

  $mds->markdown_to_html( title => $title, markdown => $markdown )
This method turns Markdown into HTML. It accepts the following parameters:

•   title => $title

    The title of the document. This is required.

•   charset => $charset

    If provided, a "<meta charset="...">" tag will be added to the document's "<head>".

•   language => $language

    If provided, a "lang" attribute will be added to the document's "<html>" tag.

•   dialects => [...]

    This can either be a single string or an array ref of strings containing the class names of dialects. This parameter is optional.

ROLES
This class does the Markdent::Role::Simple role.

BUGS
See Markdent for bug reporting details.

Bugs may be submitted at <https://github.com/houseabsolute/Markdent/issues>.

I am also usually active on IRC as 'autarch' on "irc://irc.perl.org".

SOURCE
The source code repository for Markdent can be found at <https://github.com/houseabsolute/Markdent>.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2021 by Dave Rolsky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.